#include"eyebot.h"
int count = 0;

void cleanup()
{ count = 0;  // reset through timer interrupt
}

int main()
{ TIMER t;
  LCDMenu("","","","END");

  // start background timer
  t = OSAttachTimer(1000, cleanup); // once a second

  // foreground task
  while (!KEYRead())
  { LCDPrintf("%d\n", count);  
    count++;
    OSWait(100); // slow things down
  }
  OSDetachTimer(t);
}

